MsWrd1ParserInternal::Font Struct Reference

Internal: the font of a MsWrd1Parser. More...

## Public Member Functions
| Font ()
| constructor

## Public Attributes
MWAWFont | m_font
| the basic font property
int | m_type
| a unknown int, maybe 0x80 means defined font
std::string | m_extras
| a string used to store the parsing extrass

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<<

## Detailed Description

Internal: the font of a MsWrd1Parser.

## Constructor & Destructor Documentation

## ◆ Font()

MsWrd1ParserInternal::Font::Font | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_extras

std::string MsWrd1ParserInternal::Font::m_extras

a string used to store the parsing extrass

Referenced by Font(), operator<<, and MsWrd1Parser::readFont().

## ◆ m_font

MWAWFont MsWrd1ParserInternal::Font::m_font

the basic font property

Referenced by Font(), MsWrd1Parser::readFont(), MsWrd1Parser::readPLC(), and MsWrd1Parser::sendText().

## ◆ m_type

int MsWrd1ParserInternal::Font::m_type

a unknown int, maybe 0x80 means defined font

Referenced by Font(), operator<<, and MsWrd1Parser::readFont().

The documentation for this struct was generated from the following file:

- MsWrd1Parser.cxx